# Uses of Interface
org.eclipse.jdt.ui.jarpackager.IJarBuilder

Packages that use IJarBuilder
Package
Description
org.eclipse.jdt.ui.jarpackager
Provides classes and interfaces to generate a JAR file.

## Uses of IJarBuilder in org.eclipse.jdt.ui.jarpackager

Methods in org.eclipse.jdt.ui.jarpackager that return IJarBuilder
Modifier and Type
Method
Description
`IJarBuilder`
JarPackageData.`createFatJarBuilder()`
Creates and returns a jar builder capable of handling files and archives.
`IJarBuilder`
JarPackageData.`createPlainJarBuilder()`
Creates and returns a jar builder capable of handling files but not archives.
`IJarBuilder`
JarPackageData.`getJarBuilder()`
Returns the jar builder which can be used to build the jar described by this package data.
Methods in org.eclipse.jdt.ui.jarpackager with parameters of type IJarBuilder
Modifier and Type
Method
Description
`void`
JarPackageData.`setJarBuilder(IJarBuilder jarBuilder)`
Set the jar builder to use to build the jar.